//A cool sky
textures/ut_dam/sky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun .3 .3 .6 100 65 78
	q3map_surfacelight 100
	q3map_globaltexture
	q3map_lightsubdivide 128
	skyparms env/fullmoon 256 256
}

//Flare for lighjbulbs
textures/urban_terror6/flare001
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/urban_terror6/flare001.jpg
            blendFunc GL_ONE GL_ONE
          }
}

//2D Lightbulb
textures/urban_lights/lightbulb
{
    cull disable
    deformVertexes autoSprite2
    surfaceparm trans
    surfaceparm nolightmap
	{
		map textures/urban_lights/lightbulb.tga
		blendFunc Add
		rgbGen identity
	}
}

//Neons
textures/base_light/baslt4_1_4k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 750
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

//Grey Wire Fence


// Water from ut_Rommel

textures/bbq/venice_water
{
	qer_editorimage textures/bbq/venice_water.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable

	{
		map textures/bbq/venice_water.tga
		tcMod turb 0.2 0.2 0.2 .2
	}
	{
		map textures/bbq/venice_water.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod turb 0 0.2 2 .2
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/ut_dam/glass_clear
{
	qer_editorimage textures/effects/tinfx.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans

	{
		map textures/effects/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut_dam/fs_railing
{
	qer_editor_image textures/urban_terror7/fs_railing.tga
	qer_trans 0.40	
	surfaceparm alphashadow
	surfaceparm playerclip	
	nopicmip
	cull disable
	
	{
		map textures/urban_terror7/fs_railing.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//Ramp 
textures/ut_dam/rampe
{
	qer_editor_image textures/ut_dam/rampe.tga
	qer_trans 0.40	
	surfaceparm alphashadow
	surfaceparm playerclip	
	nopicmip
	cull disable
	
	{
		map textures/ut_dam/rampe.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//Ugly pylon
textures/ut_dam/pylon
{
	qer_editor_image textures/ut_dam/pylon.tga
	surfaceparm alphashadow
	surfaceparm playerclip	
	nopicmip
	cull disable
	
	{
		map textures/ut_dam/pylon.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_dam/fog
{
	surfaceparm nodlight
	q3map_lightimage textures/liquids/kc_fogcloud3.tga
	qer_editorimage textures/sfx/hellfog.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm fog
	fogparms ( 1 1 1 ) 512
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}

textures/ut_dam/metal_table
{   
	qer_editorimage textures/ut_dam/table.tga
        {
                map textures/effects/tinfx.tga       
                tcGen environment
                rgbGen vertex
	}  
        {
		map textures/ut_dam/table.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
         
}


//Lightning sign
textures/ut_dam/lightning
{
	qer_editorimage textures/ut_dam/power.tga
	qer_trans 0.40	
	surfaceparm alphashadow
	surfaceparm playerclip	
	nopicmip
	cull disable
	
	{
		map textures/ut_dam/power.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//parking lines
textures/ut_dam/paint_line
{
	qer_editorimage textures/ut_dam/line.tga
	surfaceparm alphashadow
	surfaceparm playerclip	
	nopicmip
	cull disable
	
	{
		map textures/ut_dam/line.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_dam/exit_sign
{
	qer_editorimage textures/ut_dam/exit.tga
	q3map_lightimage textures/ut_dam/exit_glow.tga
	surfaceparm nodamage
	surfaceparm nomarks
	q3map_surfacelight 150
	{
		map $lightmap 
		rgbGen identity
	}
	{
		map textures/ut_dam/exit.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/ut_dam/exit_glow.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1 
	}
}